import { axios } from '@/utils/request'
import { stringify } from 'qs'

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getCustomFieldTemplateDataPage (parameter) {
    return axios({
        url: '/customize/fieldTemplateData/page?' + stringify(parameter),
        method: 'get',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8'
        }
    })
}

/**
 * add func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function addCustomFieldTemplateData (parameter) {
    return axios({
        url: '/customize/fieldTemplateData',
        method: 'POST',
        headers: {
            'Accept': 'application/json',
            'Content-Type': 'application/json;charset=UTF-8'
        },
        data: parameter
    })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updateCustomFieldTemplateData (parameter) {
    return axios({
        url: '/customize/fieldTemplateData/' + parameter.id,
        method: 'PUT',
        data: parameter
    })
}

/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function fetchCustomFieldTemplateData (parameter) {
    return axios({
        url: '/customize/fieldTemplateData/' + parameter.id,
        method: 'get',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8'
        }
    })
}

/**
 * query list func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function queryCustomFieldTemplateData (parameter) {
    return axios({
        url: '/customize/fieldTemplateData?' + stringify(parameter),
        method: 'get',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8'
        }
    })
}

/**
 * delete batch func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deleteCustomFieldTemplateDatas (parameter) {
    return axios({
        url: '/customize/fieldTemplateData',
        method: 'DELETE',
        data: parameter
    })
}

/**
 * delete single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deleteCustomFieldTemplateData (parameter) {
    return axios({
        url: '/customize/fieldTemplateData/' + parameter.id,
        method: 'DELETE',
        data: parameter
    })
}


/**
 * export file
 * parameter: { }
 * @param parameter :
 * @returns {*}
 */
export function exportCustomFieldTemplateData (parameter) {
    return axios({
        url: '/customize/fieldTemplateData/export?' + stringify(parameter),
        method: 'get',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8'
        },
        responseType: 'blob'
    })
}
